@font-face {
    font-family: 'Vollkorn';
    src: url('vollkorn/WOFF/vollkorn-regular-webfont.woff');
}

body {
    font-family: 'Vollkorn', serif;
    background: url(images/pawel-czerwinski-GT2I5UgV218-unsplash.jpg);
    background-attachment: fixed;
    background-color: black;
    color: #ffffff;
    margin: 0;
    overflow-x: hidden;
}

#main-content p {
    background-color: rgba(0, 0, 0, 0.6);
    padding: 10px; 
    border-radius: 5px;
    line-height: 1.6;
    font-size: 1em;
}

p {
    line-height: 1.6; 
    font-size: 1em;
}

.container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto; 
    width: 100%;
}

nav {
    background-color: rgba(34, 34, 34, 0.8); 
    padding: 10px;
}

nav ul {
    justify-content: center; 
}

nav li {
    list-style-type: none;
    display: inline; 
}

nav a {
    text-decoration: none;
    color: #ffffff; 
    padding: 10px 15px; 
    border-radius: 5px; 
}

nav a:hover {
    background-color: rgba(28, 24, 24, 0.8); 
    color: #790202; 
}

main {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 60px;
}

.left-section, .right-section {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

figure {
    display: flex;
    gap: 10px;
    flex-wrap: wrap; 
}



h1, h3 {
    text-align: center;
}

h2 {
    border-bottom: 2px solid #7d0707; 
    padding-bottom: 5px;
    margin-bottom: 20px;
}

p {
    max-width: 600px;
    margin: 0 auto;
    padding: 10px;
}

footer {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    background-color: rgba(34, 34, 34, 0.8); 
    color: #ffffff;
}

footer h3 {
    text-align: center;
    margin-bottom: 20px;
}

.footer-content {
    display: flex;
    justify-content: space-between;
}

.left-footer, .right-footer {
    flex: 1;
    margin: 0 10px;
}

footer p {
    text-align: left;
    margin: 5px 0;
    font-size: 0.8em;
}

.image-container {
    display: flex;
    gap: 10px; 
    /* flex-wrap: wrap;  */
}

img {
    /* width: 100%;  */
    height: auto; 
    object-fit: contain; 
    display: block;
}

/* Styles for screens 768px wide and below */
@media (max-width: 768px) {
    .container, main {
        grid-template-columns: 1fr;
        gap: 10px;
    }

    .left-section, .right-section {
        gap: 10px;
    }

    nav ul {
        flex-direction: column;
        justify-content: center;
        padding: 0;
    }

    body {
        font-size: 0.9em;
    }

    #main-content p {
        font-size: 1em;
        background-color: rgba(0, 0, 0, 0.7);
    }

    nav ul li {
        padding: 10px 0;
    }

    h1, h2, h3 {
        padding: 5px 0;
        margin: 10px 0;
    }

     footer {
        padding: 15px;
    }

    .footer-content {
        flex-direction: column;
        align-items: center;
        justify-content: center; /* Ensure content is centered */
    }

    .left-footer, .right-footer {
        margin: 5px 0;
        text-align: center;
        width: 100%; /* Ensure both columns take full width */
    }

    footer p {
        font-size: 1em; /* Adjust font size to improve readability on smaller screens */
        text-align: center; /* Center the text */
    }

    .image-container {
        flex-direction: column; /* Stack images vertically on smaller screens */
        align-items: center; /* Center images */
    }

    img {
        width: 80%; /* Adjust image width to ensure it doesn't overflow */
    }
}

/* Dark Mode */
@media only screen and (prefers-color-scheme: dark) {
    body {
        background-color: #000;
        color: #fff;
        background-size: cover;
        background-image: url(images/pawel-czerwinski-GT2I5UgV218-unsplash.jpg);
        filter: brightness(0.8);
    }

    h1, h2, h3 {
        background-color: rgba(21, 20, 41, 0.6); /* Slight background for header texts */
        color: #fff; /* Text color to dark */
        padding: 5px;
    }

    nav, footer {
        background-color: rgba(34, 34, 34, 0.8);
    }
}

/* Light Mode */
@media only screen and (prefers-color-scheme: light) {
    body {
        background-color: #fff;
        color: #000;
        background-image: url(images/pawel-czerwinski-GT2I5UgV218-unsplash.jpg);
        background-size: cover;
        filter: brightness(1.3); /* Increase brightness */
    }

    nav, footer {
        background-color: rgba(116, 98, 145, 0.6); /* Lighter background */
    }

    h1, h2, h3 {
        background-color: rgba(42, 39, 89, 0.45); /* Slight background for header texts */
        color: #fff; /* Text color to dark */
        padding: 5px;
    }

    p{
        color: #fff;
    }
}
